<!DOCTYPE html>
<html>
<head>
	<title>Slot In Vue Js</title>
</head>
<body>
	<div id="app">
		<menu-component></menu-component>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/vue"></script>
	<script>
		var dateTime = {
			created() {
				console.log('Stated mixin');
			},
			methods: {
				showMessage() {
					alert('Message show from mixins');
				},
				showName() {
					alert('Name show from mixins');	
				}
			}
		}

		Vue.component('menu-component', {
    		props: {},
    		mixins: [dateTime],
    		data() {
    			return {
    				menus: [
    					{name: 'Menu item 1'},
    					{name: 'Menu item 2'},
    					{name: 'Menu item 3'},
    					{name: 'Menu item 4'},
    					{name: 'Menu item 5'}
    				]
    			}
    		},
    		methods: {
				showMessage() {
					alert('Message show from component');
				}
			},
    		template: `
    			<div>
	    			<ul>
	    				<li v-for="menu in menus">{{ menu.name }}</li>
	    			</ul>
	    			<slot name='attach'></slot>
	    			<button @click='showName()'>Show Message</button>
	    		<div>`
    	});

		new Vue({
			el: '#app',
			data: {
				posts: [
					{name: 'Post one'},
					{name: 'Post two'},
					{name: 'Post three'},
				],
				medias: [
					{name: 'Media one'},
					{name: 'Media two'},
					{name: 'Media three'},
				]
			}
		})
	</script>
</body>
</html>